Subject: discussion

From: Adam Greenberg <[email-masked]>
Date: Fri, 9 Jul 93 12:10:49 EDT

Date: Tue, 6 Jul 93 19:06:11 CDT
   From: Tony Skjellum <[email-masked]>

   I would like to discuss your concerns about inter-group
   facilities, and get you involved in the revised context
   proposal, prior to next meeting.  Can you summarize
   worries, and how we can allay them reasonably, without
   giving up MPMD programming capabilities.

I don't think you can allay my fears.  I (as TMC) don't believe that MPI should
contain mechanisms for coupling disparate programs together.  I distinguish
this notion from MPMD in which all of a user's programs which comprise an
instance or invocation of the users `system' are known a priori and information
on all members of the system is available at system start up.  Intersystem
communication is properly an OS issue.  It has already been solved by Unix.
Other solutions too, we believe, will require OS support if not implementation.
These OS related requirements are beyond the scope of MPI.

moose